component:
  - audit
framework: beakerlib
require:
  - library(audit/testing)
adjust:
  - enabled: false
    when: distro < rhel-7
    continue: false
contact:
  - Ondrej Moris <omoris@redhat.com>
description: |
    Test that admin_space_left and space_left options work correctly
    using default actions SYSLOG and SUSPEND. Also test that both values
    can be specified as percentage.
duration: 10m
enabled: true
extra-nitrate: TC#0075630
extra-summary: /CoreOS/audit/Sanity/options-space-left
extra-task: /CoreOS/audit/Sanity/options-space-left
link:
  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=529851
  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=830780
  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1478311
recommend:
  - audit
  - rsyslog
summary: Sanity of admin_space_left and space_left
tag:
  - NoRHEL4
  - NoRHEL5
  - NoRHEL6
  - TIPfail
  - TIPfail_Security
  - Tier1
  - Tier1security
test: ./runtest.sh
tier: '1'
name: /Sanity/options-space-left
order: 50
id:
path: /Sanity/options-space-left
manual: false
tty: false
environment: {}
result: respect
where:
check: []
restart-on-exit-code: []
restart-max-count: 1
restart-with-reboot: false
sources:
  - /var/tmp/tmt/run-017/Plans/general/discover/Downstream_audit_tests/tests/main.fmf
  - /var/tmp/tmt/run-017/Plans/general/discover/Downstream_audit_tests/tests/Sanity/options-space-left/main.fmf
context: {}
